Subject: RE: HOWTO build GCC-2.95.2 on Cygb20.1 [Re: Newbie: problems building gcc 2.95.2]
From: Earnie Boyd <[email-masked]>
To: "Serge S. Spiridonoff" <[email-masked]>
Cc: Cygwin Mailing List <[email-masked]>
Date: Wed, 24 Nov 1999 13:19:30 -0800 (PST)

--- "Serge S. Spiridonoff" <[email-masked]> wrote:
> > 1. Make mounts binary. You'll thank me someday (before anyone yells,
> >   it's just for building gcc, otherwise the specs file won't work on
> >   binary mounts). Also patching may have trouble (the trick is to
> >   use -l or --ignore-whitespace option to tell patch to ignore
> >   whitespace).
> 
> Could you please explain what do you mean by "make mounts binary"?
> 

Do an archive search, you'll find plenty of explaination.

> After installing Cygwin I've made several mounts like
>    $ mount -b h:\\cygwin /
> and this appears to be the source of all my troubles with building gcc.
> 

If you didn't change the file endings of scripts and source files from \r\n to
\n only then _YES_ this is your problem.  When changing from text mode
processing that will remove the \r from the files for you to binary mode
processing that gives you the \r in the line you'll have to remove the \r
yourself or the \r becomes part of the command (line).

> As I wrote before configure returned lots of "not found" errors.
> It complained about lines in gcc/configure file. Looking at that lines I saw
> that they end with CRLF. CRLF appeared there after I applied the
> gcc-2.95.2-x86-win32 patch.
> 
> Anyway, today I remounted all my mounts without -b (actually, I've changed
> "fbinary" value from 1 to 0 directly in the NT registry and re-started
> bash).
> After that, configure worked (and I'm very happy now:) and even make almost
> worked.
> 
> "Almost" means that it made gcc and libs. However, after that the following
> errors occured:
> 
> /Cygnus/usr/local/build/gcc-2.95.2/texinfo/makeinfo/makeinfo   -I/usr/local/
> src/gcc-2.95.2/gcc -o gcc.info /usr/local/src/gcc-2.95.2/gcc/gcc.texi
> Making info file `gcc.info' from `/usr/local/src/gcc-2.95.2/gcc/gcc.texi'.
> /usr/local/src/gcc-2.95.2/gcc/gcc.texi:305: @include invoke.texi: No such
> file or directory.
> /usr/local/src/gcc-2.95.2/gcc/gcc.texi:305: @include install.texi: No such
> file or directory.
> /usr/local/src/gcc-2.95.2/gcc/gcc.texi:306: @include extend.texi: No such
> file or directory.
> 
> It is very strange for me because invoke.texi and other files exist in the
> same directory as gcc.texi (the file being compiled) and that directory is
> specified by /I option. I don't understand why makeinfo can't find them.
> 
> Does anyone have any thoughts how to solve this errors?
> 
> Thanks in advance,
> Serge S. Spiridonoff
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]